Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.owl
Class VerbalizerWebservice

    java.lang.Object
      ch.uzh.ifi.attempto.owl.VerbalizerWebservice

    public class VerbalizerWebservice

extends java.lang.Object

This is a simple interface to the OWL verbalizer. OWL verbalizer is a tool that translates an OWL 2 ontology into an ACE text. It expects the ontology to be represented in the OWL 2 XML serialization syntax. The version of the OWL 2 XML syntax that the OWL verbalizer supports is described in

> http://www.w3.org/TR/2008/WD-owl2-xml-serialization-20080411/

The OWL verbalizer accepts one parameter, `xml`, the value of which is the complete ontology as string. The OWL verbalizer returns the ACE representation of the ontology as plain text (string). In case the verbalizer fails to process an OWL axiom in the ontology, an error message is returned between ACE comment symbols. Note that future versions of the OWL verbalizer (and as a result this interface) will expect a different input format (because the OWL 2 XML specification will be updated) and probably produce a different output format (a more structured one, where e.g. error messages are represented differently).

Author:
  Kaarel Kaljurand

Constructor Summary
`VerbalizerWebservice(java.lang.String url)` Constructs a new `VerbalizerWebservice` object on the basis of the URL of the OWL verbalizer webservice.

Method Summary
`java.lang.String` | `call(java.lang.String xml)` Calls the OWL verbalizer webservice by giving the string representation of an XML-formatted ontology as input.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerbalizerWebservice

    public VerbalizerWebservice(java.lang.String url)

  Constructs a new `VerbalizerWebservice` object on the basis of the URL of the OWL verbalizer webservice.

  Parameters:
    `url` - The URL of the OWL verbalizer webservice.

Method Detail

### call

    public java.lang.String call(java.lang.String xml)

  Calls the OWL verbalizer webservice by giving the string representation of an XML-formatted ontology as input. Returns the corresponding ACE text with possible error messages as comments.

  Parameters:
    `xml` - XML-representation of an OWL ontology.
  Returns:
    ACE text that corresponds to the ontology.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)